<div class="school-classes-container">
  <div>
    <h1>School classes</h1>
  </div>
  <div class="school-classes-table">
    <table mat-table [dataSource]="dataSource">
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>Id</th>
        <td mat-cell *matCellDef="let schoolClass">{{ schoolClass.id }}</td>
      </ng-container>

      <ng-container matColumnDef="normalizedSchoolClassName">
        <th mat-header-cell *matHeaderCellDef>School class name</th>
        <td mat-cell *matCellDef="let schoolClass">
          {{ schoolClass.normalizedSchoolClassName }}
        </td>
      </ng-container>

      <ng-container matColumnDef="startYear">
        <th mat-header-cell *matHeaderCellDef>Start year</th>
        <td mat-cell *matCellDef="let schoolClass">
          {{ schoolClass.startYear }}
        </td>
      </ng-container>

      <ng-container matColumnDef="classLevel">
        <th mat-header-cell *matHeaderCellDef>Class level</th>
        <td mat-cell *matCellDef="let schoolClass">
          {{ schoolClass.classLevel }}
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="partialColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: partialColumns"></tr>
    </table>
  </div>
</div>
